#### D.6.23.2 signaturePuiseux

Procedure from library `surfacesignature.lib` (see surfacesignature_lib).

Usage:
  signaturePuiseux(N,f); N = int, f = irreducible poly in 2 variables

Return:
  signature of surface singularity defined by z^N + f(x,y) = 0

Example:

    LIB "surfacesignature.lib";
    ring r = 0,(x,y),dp;
    int N  = 3;
    poly f = x15-21x14+8x13y-6x13-16x12y+20x11y2-x12+8x11y-36x10y2
    +24x9y3+4x9y2-16x8y3+26x7y4-6x6y4+8x5y5+4x3y6-y8;
    signaturePuiseux(N,f);
    ==> -92

User manual for Singular version 4.4.1, 2025, generated by texi2html.